Bug 240561 - [NEW PORT] www/py-mytesla: Python client to interact with your Tesla
Summary: [NEW PORT] www/py-mytesla: Python client to interact with your Tesla
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: easy, feature, needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2019-09-13 13:06 UTC by kiwi
Modified: 2020-01-12 01:53 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
py-myTesla port. (1.76 KB, text/plain)
2019-09-13 13:06 UTC, kiwi
no flags Details
Fixed port. (1.54 KB, text/plain)
2019-09-17 08:55 UTC, kiwi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kiwi 2019-09-13 13:06:37 UTC
Created attachment 207461 [details]
py-myTesla port.

This wrapper permits access using python unofficial Tesla API.

Portlint -AC has been done. Seems there is no license for this software...
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-14 10:50:31 UTC
Review items:

- Lowercase PORTNAME
- Match COMMENT to setup.py:description
- Upstream version is 1.1
- License is setup.py:license (license='Apache License 2.0',)
- Use MASTER_SITES=CHEESESHOP unless there is a compelling (temporary) reason to use an alternative source, such as missing files (such as tests) from the sdist

Please confirm this port also passes poudriere. For details and instructions see:

https://www.freebsd.org/doc/en/books/porters-handbook/testing.html
Comment 2 kiwi 2019-09-17 08:55:51 UTC
Created attachment 207552 [details]
Fixed port.

Hi,

Thanks for the review, first python ports, so I was not up to date with that.
I have also added the dependency on py-requests needed by this code.

About poudriere, unfortunatly I don't have any disk space or computer to run one at home (this is on my todo, but no ETA about that).

Kind regards,
Xavier
Comment 3 kiwi 2019-10-08 14:10:38 UTC
Poudriere on my side works .

Regards
Comment 4 kiwi 2019-12-20 12:47:31 UTC
Ping ? any news?
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-11 14:20:43 UTC
Review:

PORTNAME needs to be lowercased
Comment 6 Tobias C. Berner freebsd_committer 2020-01-11 14:29:14 UTC
(In reply to Kubilay Kocak from comment #5)
To my knowledge there is nothing in the porters handbook to justify this claim.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-11 14:50:06 UTC
(In reply to Tobias C. Berner from comment #6)

Python ports have always been lowercased, except for a small class of exceptions (Flask*) That this has 'changed in the recent past' does not change that.

1) PyPI package registry names are case insensitive
2) Python (upstream) package requirement (dependency) declarations can be in any case (and are often mixed).
2) Mixed case Python portnames makes *_DEPENDS declarations error prone.

lowercase'ing Python portnames addresses some/most of that impedance mismatch.

The porters handbook while a great reference, is not completely comprehensive nor a complete reference for every rule/guideline.

It's also been documented in the Python Ports policy for a long time

https://wiki.freebsd.org/Python/PortsPolicy
Comment 8 kiwi 2020-01-11 20:50:03 UTC
Well seems you will have to make another exception, lowercased the PORTNAME :

root@portsbuild /usr/home/kiwi/git/freebsd-ports/www/py-myTesla]# make makesum
===>  License APACHE20 accepted by the user
===>  License APACHE20 accepted by the user
===>   py37-mytesla-1.1 depends on file: /usr/local/sbin/pkg - found
=> mytesla-1.1.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://files.pythonhosted.org/packages/source/m/mytesla/mytesla-1.1.tar.gz
fetch: https://files.pythonhosted.org/packages/source/m/mytesla/mytesla-1.1.tar.gz: Not Found
=> Attempting to fetch https://pypi.org/packages/source/m/mytesla/mytesla-1.1.tar.gz
fetch: https://pypi.org/packages/source/m/mytesla/mytesla-1.1.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/mytesla-1.1.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/mytesla-1.1.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1

Stop.
make[1]: stopped in /usr/home/kiwi/git/freebsd-ports/www/py-myTesla
*** Error code 1

Stop.
make: stopped in /usr/home/kiwi/git/freebsd-ports/www/py-myTesla

So please have a look on your side.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-12 01:53:38 UTC
(In reply to kiwi from comment #8)

Hi kiwi,

Override DISTNAME, setting it to myTesla-${DISTVERSION} for fetching the sdist